<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- utils.qdoc -->
  <title>Utils Namespace | Extending Qt Creator Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="extending-index.html">Extending Qt Creator Manual</a></td><td >Utils Namespace</td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right"><a href="extending-index.html">Extending Qt Creator Manual 4.11.1</a></td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
<div class="sidebar">
<div class="toc">
<h3><a name="toc">Contents</a></h3>
<ul>
<li class="level1"><a href="#types">Types</a></li>
<li class="level1"><a href="#details">Detailed Description</a></li>
</ul>
</div>
<div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">Utils Namespace</h1>
<div class="table"><table class="alignedsummary">
<tr><td class="memItemLeft rightAlign topAlign"> Header:</td><td class="memItemRight bottomAlign">   <span class="preprocessor">#include &lt;Utils&gt;</span>
</td></tr></table></div><ul>
</ul>
<a name="types"></a>
<h2 id="types">Types</h2>
<div class="table"><table class="alignedsummary">
<tr><td class="memItemLeft rightAlign topAlign"> enum </td><td class="memItemRight bottomAlign"><b><a href="utils.html#ProgressIndicatorSize-enum">ProgressIndicatorSize</a></b> { Small, Medium, Large }</td></tr>
</table></div>
<a name="details"></a>
<!-- $$$Utils-description -->
<div class="descr">
<h2 id="details">Detailed Description</h2>
<p>The Utils namespace contains a collection of utility classes and functions for use by all plugins.</p>
</div>
<!-- @@@Utils -->
<div class="types">
<h2>Type Documentation</h2>
<!-- $$$ProgressIndicatorSize$$$Small$$$Medium$$$Large -->
<h3 class="fn" id="ProgressIndicatorSize-enum"><a name="ProgressIndicatorSize-enum"></a>enum Utils::<span class="name">ProgressIndicatorSize</span></h3>
<p>Size of a progress indicator.</p>
<div class="table"><table class="valuelist"><tr valign="top" class="odd"><th class="tblConst">Constant</th><th class="tblval">Value</th><th class="tbldscr">Description</th></tr>
<tr><td class="topAlign"><code>Utils::Small</code></td><td class="topAlign tblval"><code>0</code></td><td class="topAlign">Small icon size. Useful for tool bars, status bars, rows in tree views, and so on.</td></tr>
<tr><td class="topAlign"><code>Utils::Medium</code></td><td class="topAlign tblval"><code>1</code></td><td class="topAlign">Larger progress indicator useful for covering whole medium sized widgets.</td></tr>
<tr><td class="topAlign"><code>Utils::Large</code></td><td class="topAlign tblval"><code>2</code></td><td class="topAlign">Very large progress indicator that can be used to cover large parts of a UI.</td></tr>
</table></div>
<p><b>See also </b>Utils::ProgressIndicator and Utils::ProgressIndicatorPainter.</p>
<!-- @@@ProgressIndicatorSize -->
</div>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2020 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br/>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br/>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
